Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# HomogeneousColorBaseValueConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename ColorBase>
struct boost::gil::HomogeneousColorBaseValueConcept< ColorBase >

Homogeneous color base that also has a default constructor. Refines Regular.

    concept HomogeneousColorBaseValueConcept<typename T> : MutableHomogeneousColorBaseConcept<T>, Regular<T> {
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp